<?
	$escort = $this->escort; if ( ! $escort instanceof Model_EscortItem ) $escort = new Model_EscortItem($escort);
	$config = $this->config;
	$c = $this->c;
    $hh_rate = $this->escort->getHHRatesInfo();

    if($hh_rate->hh_is_active){
        $hh_rates = $this->escort->getHHRates();
         if ( isset($hh_rates[1]) && count($hh_rates[1]) > 0){
             foreach ($hh_rates[1] as $rate){
                 $price = '<span class="text-danger hh_old_price p-1">&#163; '.$rate->price.'</span>';
                 $hh_price = '<span class="text-success">&#163;'.$rate->hh_price.'</span>';break;
             }
         }elseif (isset($hh_rates[2]) && count($hh_rates[2]) > 0){
             foreach ($hh_rates[2] as $rate){
                 $price = '<span class="text-danger hh_old_price p-1">&#163; '.$rate->price.'</span>';
                 $hh_price = '<span class="text-success">&#163;'.$rate->hh_price.'</span>';break;
             }
         }

    }

	$class = '';
	$class2 = '';
	
	if ( $escort->is_premium || $escort->is_tour_premium ) {
		$class = 'prem';
		$class2 = 'prem';
	}
	elseif ( ! $escort->is_premium && $this->in_premium ) {
		$class = 'reg';
		$class2 = 'reg';
	}

	if ( ! $this->is_tour ) {
		if ($this->is_main_page) {
			$from = 'main_premium_spot';
		} elseif ($escort->is_premium) {
			$from = 'regular_list';
		} else {
			$from = 'regular_list';
		}		
	} else {
		if ($escort->is_tour_premium || $escort->is_premium) {
			$from = 'tours_list';
		} else {
			$from = 'tours_list';
		}		

		if ( $this->is_upcomingtour ) {
			$from = 'up_' . $from;
		}
	}

	if ( $this->search_list ) {
		$from = 'search_list';
	}
	
	
	$rate_str = '';
	$currencies = Model_Currencies::getAllAssoc(2);
	if ( $escort->incall_price && isset($currencies[$escort->incall_currency]) ) {
		$curr = $currencies[$escort->incall_currency];
		$rate_str = '&#163; ' .$escort->incall_price;
	}
	elseif ( $escort->outcall_price && isset($currencies[$escort->outcall_currency]) ) {
		$curr = $currencies[$escort->outcall_currency];
		$rate_str = '&#163; ' .$escort->outcall_price;
	}
	
	$city_str = '';
	$city_strMob = '';
	if ( $this->is_tour ){
		$status = (time() > strtotime($escort->tour_date_from)) ? $this->t('now') : $this->t('soon');
		$tour_date_from = date('d M', strtotime($escort->tour_date_from));
		$tour_date_to = date('d M', strtotime($escort->tour_date_to));
		$city_str = $this->t('on_tour_in') . ' '. $escort->city . '<br/>'. $status . '<br/>'. '['. $tour_date_from . ' - '. $tour_date_to . ']';			
	}			
	else{
		if ($this->sort_param != 'most-viewed'){
			if ( $escort->tour_city_id && $escort->hasProduct(Model_Escorts::PRODUCT_TOUR_ABILITY) ){
				$city_str =	$escort->tour_city;
			}
			else{
				$tpl_data['city'] = $escort->city;
				$seo = $this->seo('city', $escort->city_id, $tpl_data); 
				if ($this->is_trans && isset($seo->heading_trans) && $seo->heading_trans){
					$city_str = $seo->heading_trans;
				}
				elseif (isset($seo->heading_escort) && $seo->heading_escort){
					$city_str = $seo->heading_escort;
				}
				else{
					$city_str = $escort->city;
                    $city_strMob = $escort->city;
				}
			}
		}
	}
	
	if($this->static_page_key == 'videos'){
		$photo = new Cubix_ImagesCommonItem(array('hash'=>$escort->video_img_hash, 'ext'=>$escort->video_img_ext, 'size'=>'xl_thumb_v2'));
		$photo_url = $photo->getUrl('video_page_thumb');
	}else{
		$photo_url = $escort->getMainPhoto()->getUrl($this->thumb_size);
	}
?>

<?php $row_classes = ($this->view_type == 'grid') ? 'col-6 col-sm-6 col-md-4 col-lg-4' : 'col-6 col-sm-6 col-md-4 col-lg-3 escorts-grid-list'; ?>
<?php $second_section_classes = ($this->view_type == 'grid') ? 'hidden-xs-up' : 'col-6 col-sm-6 col-md-8 col-lg-9'; ?>
<div class="escort-photo videos-escort-photo <?=$escort->is_inactive?'inactive ':''?>mb-3 <?= ( $escort->is_premium || $escort->is_tour_premium ) ? 'premium-escort' : '' ?> <?= $row_classes?>">
		<? if ( ($escort->is_premium || $escort->is_tour_premium) && $this->static_page_key != 'videos' ): // Main Premium Spot ?>
			<div class="ribbon"><span><img src="/img/premium.svg" class="w-50"></span></div>
		<? endif ?>
        <? if ( ($escort->is_gotd || ($escort->is_botd && $_SERVER[REQUEST_URI] != '/')) && $this->static_page_key != 'videos'): ?>
            <div class="gotd"><span><img src="/img/gotd_icon_desc.png" ></span></div>
        <? endif ?>
        <? if ( $escort->is_inactive): // Main Premium Spot ?>
			<div class="ribbon inactive"><span>Inactive</span></div>
		<? endif ?>
		<a class="imgprnt" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" >
			<img id = "p-<?= $escort->id; ?>" class="img-fluid rounded escort-image<?=$this->static_page_key == 'videos'?'-videos':''?>" src="<?= $photo_url . '?v='.rand()?>" alt="<?= $escort->showname . ((!$this->london_url) ? (' Escort in '. $escort->city) : ('')) ?>">
            <? if ( $this->static_page_key == 'videos' ): ?>
                <div class="videos-page"></div>
                <span class="play"></span>
            <? endif ?>
		</a>
    <? if ($escort->is_online): ?>
        <div class="p-1 active-today">
            <div class="chat-escorts-status online"></div> <?= 'Online now' ?>
        </div>
    <?php endif; ?>
    <? if ($escort->last_login_date >= (time()) - 86400): ?>
        <div class="p-1 active-today">
            <?= 'Active today' ?>
        </div>
    <? elseif ($escort->last_login_date >= strtotime('-7 days') && $escort->date_registered <= strtotime('-7 days')) : ?>
        <div class="p-1 active-this-week">
            <?= 'Active this week' ?>
        </div>
    <? endif; ?>

		<div class="short-info-box videos-info-box <?= $this->view_type == 'list' ? 'hidden-xs-up' :''?>">
			<div class="d-flex ml-1 mb-1 flex-row sticker hidden-md-down">
				<? if ( $escort->last_hand_verification_date && $this->static_page_key !== 'videos'): ?>
					<div class="sticker-verified" data-toggle="tooltip" title="Contact details are verified" data-placement="top" data-original-title="Contact details are verified">
						<i class="ion-thumbsup"></i>  
					</div>
				<? endif; ?>
				<? if ( in_array($escort->verified_status, array(Model_Escorts::VERIFIED_STATUS_VERIFIED, Model_Escorts::VERIFIED_STATUS_VERIFIED_RESET)) && $this->static_page_key !== 'videos'): ?>
					<div class="sticker-100-verified" data-toggle="tooltip" data-placement="top" title="100% images are real" data-original-title="100% images are real">
						<i class="ion-images"></i>
					</div>
				<? endif; ?>
				<? if ( $escort->is_new && $this->static_page_key !== 'videos' ): ?>
					<div class="sticker-new" data-toggle="tooltip" data-placement="top" title="Escort is New Registered" data-original-title="Escort is New Registered">
						<img src="/img/new-icon.png" width="24" height="20"/>
					</div>
				<? endif ?>
                <? if($escort->hasVideo() && $this->static_page_key !== 'videos'):?>
                <div class="sticker-video" data-toggle="tooltip" title="Escort has a video" data-placement="top" data-original-title="Escort has a video">
                    <i class="ion-ios-videocam"></i>
                </div>
                <?php endif;?>
			</div>
			<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>">
				<div class="d-flex justify-content-between flex-row">
					<div class="p-1 escort-showname "><span class="e_showname"><?= $escort->showname ?></span></div>
					<? if ($this->escort->is_gotd == 0): ?>
                    <div class="p-1 escort-price">
                         <?php if($hh_rate->hh_is_active):?>
                             <?=$hh_price;?>
                             <?php else:?>
                             <?= $rate_str ?>
                         <?php endif;?>
                    </div>
                    <? endif; ?>
				</div>
			</a>
			<div class="d-flex justify-content-between">
				<div class="p-1 escort-location videos-escort-location">
					<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>">
                        <? if($this->origin_city_id !== 621): ?>
                            <span class="d-none d-md-block"><?= $city_str ?>
                                <? if ($this->escort->is_gotd == 1): ?>
                                    <span class="p-1 escort-price">
                                <? if ($hh_rate->hh_is_active): ?>
                                    <?= $hh_price; ?>
                                    <? else: ?>
                                    <?= $rate_str ?>
                                    <? endif; ?>
                                    </span>
                                <? endif; ?>
                            </span>
                        <? endif; ?>
                        <span class="d-md-none"><?= $city_strMob;?></span>
                    </a>
				</div>
				<div class="d-flex flex-row sticker">
					<? if (in_array($escort->id, $this->watched_escorts)): ?>
						<div class="sticker-visited" title="You already watched this escort" data-toggle="tooltip" data-placement="top" data-original-title="You already watched this escort">
							<i class="ion-eye"></i>
						</div>
					<? endif; ?>
					
					<? if($escort->review_count > 0):?>
						<div class="sticker-reviews-count" title="Escort has <?= $escort->review_count ?> reviews" data-toggle="tooltip" data-placement="top" data-original-title="Escort has <?= $escort->review_count ?> reviews">
							<i class="ion-ios-book-outline"></i>
						</div>
					<? endif; ?>
					<? if($escort->comment_count > 0):?>
						<div class="sticker-comments-count" title="Escort has <?= $escort->comment_count ?> comments" data-toggle="tooltip" data-placement="top" data-original-title="Escort has <?= $escort->comment_count ?> comments">
							<i class="ion-chatbubbles"></i>
						</div>
					<? endif; ?>
                    <?php if($hh_rate->hh_is_active):?>
                        <?=$price;?>
                    <?php endif;?>

				</div>
			</div>
		</div><!-- short-info-box end -->	
	</div>
	
	<div class="d-flex flex-column list-view mb-3 pt-3 pr-0 col-md-8 <?= ( $escort->is_premium || $escort->is_tour_premium ) ? 'list-view-premium' : ''?> <?= $second_section_classes ;?> ">
		<div class="d-flex escort-detalis rounded justify-content-between px-3">
			<div>
				<p class="escort-showname mb-0"><?= $escort->showname ?></p>
				<p class="escort-location"><?= $city_str ?> escorts</p>
			</div>
			<div>
				<div class="d-flex ml-1 mb-1 flex-row sticker ">
					<? if (in_array($escort->id, $this->watched_escorts)): ?>
						<div class="sticker-visited hidden-xs-down" data-toggle="tooltip" title="You already watched this escort" data-placement="top" data-original-title="You already watched this escort">
							<i class="ion-eye"></i>
						</div>
					<? endif; ?>
					<? if ( $escort->last_hand_verification_date ): ?>
						<div class="sticker-verified" data-toggle="tooltip" title="Contact details are verified" data-placement="top" data-original-title="Contact details are verified">
							<i class="ion-thumbsup"></i>  
						</div>
					<? endif; ?>
					<? if ( in_array($escort->verified_status, array(Model_Escorts::VERIFIED_STATUS_VERIFIED, Model_Escorts::VERIFIED_STATUS_VERIFIED_RESET))): ?>
						<div class="sticker-100-verified" data-toggle="tooltip" title="100% images are real" data-placement="top" data-original-title="100% images are real">
							<i class="ion-images"></i>  
						</div>
					<? endif; ?>
					<? if ( $escort->is_new ): ?>
                        <div class="sticker-new" data-toggle="tooltip" data-placement="top" title="Escort is New Registered" data-original-title="Escort is New Registered">
                            <img src="/img/new-icon.png" width="24" height="20" />
                        </div>
					<? endif; ?>
					<? if($escort->review_count > 0):?>
						<div class="sticker-reviews-count" data-toggle="tooltip" title="Escort has <?= $escort->review_count ?> reviews" data-placement="top" data-original-title="Escort has <?= $escort->review_count ?> reviews">
							<i class="ion-ios-book-outline"></i>
						</div>
					<? endif ?>
					<? if($escort->comment_count > 0):?>
						<div class="sticker-comments-count" data-toggle="tooltip" title="Escort has <?= $escort->comment_count ?> comments" data-placement="top" data-original-title="Escort has <?= $escort->comment_count ?> comments">
							<i class="ion-chatbubbles"></i>
						</div>
					<? endif ?>				
				</div>
            </div>
		</div>
		<? if(!$this->london_url): ?>
			<p class="px-3 escort-bio ">
				<? if ( strlen($escort->about) > 0 ): ?>
					<?= strip_tags(html_entity_decode($escort->about)); ?>
				<? else: ?>
					-
				<? endif; ?>
			</p>
		<? endif; ?>
		<div class="mt-auto d-flex justify-content-between hidden-xs-down"> 
			<h5 class="mb-0 escort-price pl-3">
                <?php if($hh_rate->hh_is_active):?>
                    <?= $price .' '. $hh_price;?>
                <?php else:?>
                    <?= $rate_str ?>
                <?php endif;?>
            </h5>
			<div>
			  <a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>"><button type="button" class="btn text-uppercase btn-view-profile"></button></a>
			</div>
		</div>
	</div>
